# Ansible Role: k3s

## Introduction

This role will install a k3s cluster to three or more target hosts.

This role requires at least three target hosts, previously deployed. Each
host should have at least 4GB of RAM and at least a 20GB disk.

It is also assumed that the user running the playbook has SSH key access
set up for the root user on the target hosts.


This playbook can be run using the following command line;

ansible-playbook -i <inventory file> -e "username=<username>" k3s.yml

ie,
ansible-playbook -i cluster_inventory.yml -e "username=someuser" k3s.yml

